<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>    <![endif]-->
	</head>
	
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#">All Asked Question</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-3">
						<div class="row">
							<div class="col-md-12">
								<?php if (isset($_SESSION['error_msg'])) {
									echo $_SESSION['error_msg'];
									unset($_SESSION['error_msg']);
								}
								if (isset($_SESSION['success_msg'])) {
									echo $_SESSION['success_msg'];
									unset($_SESSION['success_msg']);
								}
								
								$result = $connection->query("select * from question_answer order by date desc");
								if ($result->num_rows > 0) {
									?>
									<div class="box-inn-sp">
										<div class="inn-title">
											<h4 class="txt-center">Asked Question</h4>
										</div>
										<div class="tab-inn">
											<div class="table-responsive table-desi">
												<table class="table table-hover">
													<thead>
													<tr>
														<th>ID</th>
														<th>Date</th>
														<th>Subject</th>
														<th>Standard</th>
														<th>Student Name</th>
														<th>Teacher Name</th>
														<th>Question</th>
														<th>Answer</th>
														
													</tr>
													</thead>
													<tbody>
													<?php while ($row = $result->fetch_array()) {
														$stu = $row['student_id'];
														$tea = $row['teacher_id']; 
														$fet_s =
														 $connection->query("select name from users where id = '$stu' ");
														 $fet_t = 
														 $connection->query("
														 	select name from users where id = '$tea'");
												$data_s = $fet_s->fetch_array();
												$data_t = $fet_t->fetch_array(); 

														?>

														



														<tr>
															<td><?php echo $row['id']; ?></td>
															<td>
															<?php echo $row['date']; ?>
															</td>
															<td>
															<?php echo $row['subject']; ?>
															</td>
															<td>
															<?php echo $row['standard']; ?>
															</td>
															<td><?php echo 
															$data_s['name']; ?></td>
															<td><?php echo 
															$data_t['name']; ?></td>
															<td><?php echo $row['question']; ?></td>
															<td><?php echo $row['answer']; ?></td>

															
														</tr>
													<?php } ?>
													</tbody>
												</table>
											</div>
										</div>
									</div>
								<?php } else { ?>
									<h3 class="text-center">Sorry, There are no question to display.</h3>
								<?php }?>
								
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>