<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>
		<![endif]-->
	</head>
	
	<body>
		
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
			</div>
			<div class="sb2-2">
				<div class="sb2-2-2">
					<ul>
						<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
						</li>
						<li class="active-bre"><a href="#">All City</a>
						</li>
					</ul>
				</div>
				<div class="sb2-2-3">
					<div class="row">
						<div class="col-md-12">
							<?php if (isset($_SESSION['error_msg'])) {
								echo $_SESSION['error_msg'];
								unset($_SESSION['error_msg']);
							}
							if (isset($_SESSION['success_msg'])) {
								echo $_SESSION['success_msg'];
								unset($_SESSION['success_msg']);
							}
							$sql = "SELECT * FROM cities";
							$result = $connection->query($sql);
							if ($result->num_rows > 0) { ?>
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">All cities</h4>
									</div>
									<div class="tab-inn">
										<div class="table-responsive table-desi">
											<table class="table table-hover">
												<thead>
												<tr>
													<th>Id</th>
													<th>Name</th>
<!--													<th>Image</th>-->
<!--													<th>Delivery Charges</th>-->
													<th>Status</th>
													<th>Edit</th>
													<th>Delete</th>
												</tr>
												</thead>
												<tbody>
												<?php while ($row = $result->fetch_array()) { ?>
													<tr>
														<td><?php echo $row['id']; ?></td>
														<td><?php echo $row['city_name']; ?></td>
<!--														 <td><img src="../images/--><?php //echo
//                                                        $row['city_pic'];?><!--" width="100px" height="60px">-->
<!--                                                             -->
<!--                                                        </td>-->
<!--														<td>--><?php //echo $row['delivery_charges']; ?><!--</td>-->
														<td>
															<a href="include/city_change_status.php?id=<?php echo $row['id'] ?>&status=<?php
															echo $row['status']; ?>" class="btn white-text">
																<?php echo $row['status'] == 'A' ? 'Active' : "Inactive"; ?>
															</a>
														</td>
														<td>
															<a href="city-edit.php?id=<?php echo $row['id']; ?>&city_name=<?php echo $row['city_name']; ?>&city_pic=<?php echo $row['city_pic']; ?>">
																<i class="fa fa-pencil"></i>
															</a>
														</td>
														<td>
															<a href="include/delete_city.php?city_name=<?php echo $row['city_name']; ?>&id=<?php echo $row['id']; ?>" class="confirm_delete">
																<i class="fa fa-trash-o" aria-hidden="true"></i>
															</a>
														</td>
													</tr>
												<?php } ?>
												</tbody>
											</table>
										</div>
									</div>
								</div>
							<?php } else { ?>
								<h3 class="text-center">Sorry, no cities to display.</h3>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		<script>
			$(document).ready(function() {
				$('.confirm_delete').click(function(evt) {
					evt.preventDefault();
					console.log('click');
					var a = $(this);
					var con = confirm("Are You Sure ?");
					var href = a.attr('href');

					if(con) {
						window.location.href = href;
					}
				});
			});
		</script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
} ?>
