<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>    <![endif]-->
	</head>
	
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#">All Products</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-3">
						<div class="row">
							<div class="col-md-12">
								<?php if (isset($_SESSION['error_msg'])) {
									echo $_SESSION['error_msg'];
									unset($_SESSION['error_msg']);
								}
								if (isset($_SESSION['success_msg'])) {
									echo $_SESSION['success_msg'];
									unset($_SESSION['success_msg']);
								}
								$result = $connection->query("SELECT * FROM products where material='Y' ");
								if ($result->num_rows > 0) {
									?>
									<div class="box-inn-sp">
										<div class="inn-title">
											<h4 class="txt-center">All Products</h4>
										</div>
										<div class="tab-inn">
											<div class="table-responsive table-desi">
												<table class="table table-hover">
													<thead>
													<tr>
														<th>Id</th>
														<th>Category</th>
														<th>Product Code</th>
														<th>Product Name</th>
														<th>Product Detail</th>
														<th>Delete</th>
														<th>Update</th>
													</tr>
													</thead>
													<tbody>
													<?php $i=1; while ($row = $result->fetch_array()) { ?>
														<tr>
															<!--<th><?php echo $row['id']; ?></th>-->
															<th><?php echo $i++ ; ?></th>
															<td>
																<?php 
																if($row['category_code'] == '') {
																	echo "None";
																} else {
																	$catSql = "SELECT * FROM categories WHERE category_code = $row[category_code]";
																	$cat = mysqli_query($connection,$catSql)->fetch_assoc();
																	echo $cat['name'];
																}
															?>
																</td>
															<td><?php echo $row['product_code']; ?></td>
															<td><?php echo $row['name']; ?></td>
															
															
															<td>
																<?php echo substr($row['small_details'], 0, 120) . "..."; ?>
															</td>
															
															<td>
																<a href="include/delete_product.php?id=<?php echo $row['id']; ?>"><i class="fa fa-trash-o"></i></a>
															</td>
															<td>
																<a href="items-edit.php?id=<?php echo $row['id']; ?>"><i class="fa fa-wrench"></i></a>
															</td>

<!--<td><form action="include/add_item_status.php" method="post">
<input type="hidden" name="Product_Code" value="<?php echo $row['product_code']; ?>">
<select name="item_status" class="browser-default">
<option value="I" <?php echo $row['status'] == "I" ? "Selected" : ""; ?>>InStock
</option>
<option value="O" <?php echo $row['status'] == "O" ? "Selected" : ""; ?>>OutOfStock
</option></select>
<input type="submit" name="submit_name" class="btn"></form></td> -->
														</tr>
													<?php } ?>
													</tbody>
												</table>
											</div>
										</div>
									</div>
								<?php } else { ?>
									<h3 class="text-center">Sorry, There are no products to display.</h3>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>