<?php
require_once "../config.php";

session_start();

if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") { ?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>
		<![endif]-->
	</head>
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Edit Vendor Details</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Edit Vendor Details</h4>
									</div>
									<div class="bor">
										<form action="include/update_review_details.php" method="post">
											<div class="row">
												<?php
												$id = $_GET['id'];
												$phone = $_GET['phone'];
												$userDetails = $connection->query("SELECT * FROM ratings WHERE id = '$id'")->fetch_assoc(); ?>
												
												<div class="input-field">
													<input type="hidden" class="validate" name="id" value="<?php echo $id; ?>">
													<input type="text" name="name" id="name" value="<?php echo $userDetails['rating_user']; ?>" readonly>
													<label for="name">User Name</label>
												</div>
												
												
												
												
												
												<div class="input-field">
													<input type="text" name="review" id="review" value="<?php echo $userDetails['review']; ?>" required>
													<label for="review">Review</label>
												</div>
												
												
												
												
												<!-- <div class="input-field">
													<label for="member" class="active">Is a member</label>
													<select name="member" id="member" class="browser-default">
														<option value="0" selected disabled>Is a Member</option>
														<option value="Y" <?php echo $userDetails['is_member'] === "Y" ? "Selected" : "" ?>>
															Yes, a member
														</option>
														<option value="N" <?php echo $userDetails['is_member'] === "N" ? "Selected" : ""; ?>>
															No, not a member
														</option>
													</select>
												</div> -->
												
												<!--<div class="input-field">
													<label for="status" class="active">Status</label>
													<select name="status" id="status" class="browser-default">
														<option value="A" <?php echo $userDetails['status'] == "A" ? "Selected" : ""; ?>>
															Active
														</option>
														<option value="I" <?php echo $userDetails['status'] == "I" ? "Selected" : ""; ?>>
															Inactive
														</option>
													</select>
												</div>-->
												
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large"
													       value="Update Review Details">
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON == -->
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
} ?>