<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
	</head>
	
	<body>
		
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Add Delivery Person</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Add Delivery Person</h4>
									</div>
									<div class="bor">
										<form action="include/add_delivery_person.php" method="post" enctype="multipart/form-data">
											<div class="row">
												<div class="input-field col s12">
													<input id="person_name" name="person_name" type="text" class="validate"
													       required>
													<label for="product_name">Person Name</label>
												</div>
												
												<div class="input-field col s12">
													<input id="person_email" name="person_email" type="email" class="validate"
													       required>
													<label for="product_email">Person Email</label>
												</div>
												
												<div class="input-field col s12">
													<input id="product_name" name="person_phone" type="number" class="validate"
													       required>
													<label for="product_phone">Person Phone</label>
												</div>
												
												<div class="input-field col s12">
													<input id="person_password" name="person_password" type="password" class="validate"
													       required>
													<label for="product_password">Person Password</label>
												</div>
												
												<div class="input-field col s12">
													<input id="person_address" name="person_address" type="text" class="validate"
													       required>
													<label for="product_address">Person Address</label>
												</div>

												<div class="input-field col s12">
													<input id="security_amount" name="security_amount" type="text" class="validate"
													       required>
													<label for="security_amount">Security Amount</label>
												</div>
												<div class="input-field col s12">
													<p>Select Category</p>
													<select name="product_category" id="product_category" class="validate browser-default" required>
														<option value="" selected>Choose Category</option>
														<?php 
                                                       
                                                         $sql1="SELECT * FROM `categories` WHERE `parent_category_code` ='0' and `category_level`='1'";
												    	 $run1=mysqli_query($connection,$sql1);
                                                        while($result1=mysqli_fetch_array($run1)){

                                                         ?>
                                                        <option value="<?php echo $result1['category_code']; ?>">
	                                                    <?php echo $result1['name'];?></option>
														<?php } ?>
													</select>
												</div>
												<div class="input-field col s12">
													<p>Select City</p>
													<select name="city_name" id="city_name"  class="validate browser-default" required>
														<option value="" selected>Choose city</option>
														<?php 
                                                       
                                                         $sql1="SELECT * FROM `cities` WHERE `status` ='A' ";
												    	 $run1=mysqli_query($connection,$sql1);
                                                        while($result1=mysqli_fetch_array($run1)){

                                                         ?>
                                                        <option value="<?php echo $result1['city_name']; ?>">
	                                                    <?php echo $result1['city_name'];?></option>
														<?php } ?>
													</select>
												</div>

												
											
											<div class="row">
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large"
													       value="Add Person">
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>
