<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>
		<![endif]-->
	</head>
	
	<body>
		
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
			</div>
			<div class="sb2-2">
				<div class="sb2-2-2">
					<ul>
						<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
						</li>
						<li class="active-bre"><a href="#">All Service Providers</a>
						</li>
					</ul>
				</div>
				<div class="sb2-2-3">
					<div class="row">
						<div class="col-md-12">
							<?php if (isset($_SESSION['error_msg'])) {
								echo $_SESSION['error_msg'];
								unset($_SESSION['error_msg']);
							}
							if (isset($_SESSION['success_msg'])) {
								echo $_SESSION['success_msg'];
								unset($_SESSION['success_msg']);
							}
							//$sql = "SELECT * FROM order_details ORDER BY id DESC";
							$sql = "SELECT * FROM temporder where order_type = 'Shopping' AND order_status != 'Not Started' ORDER BY id DESC";
							$result = $connection->query($sql);
							$i = 1;
							if ($result->num_rows > 0) { ?>
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">All Service Providers</h4>
									</div>
									<div class="tab-inn">
										<div class="table-responsive table-desi">
											<table class="table table-hover">
												<thead>
												<tr>
													<th>Id</th>
													<th>Name</th>
													<!--<th>Email</th>-->
													<th>Phone</th>
													<th>Address</th>
													<th>Service Name</th>
													<th>Order Date</th>
													<th>Booking Date</th>
													<th>Booking Time</th>
													<th>City</th>
													<th>Assign Service Provider</th>
													<th>Payment Method</th>
													<!--<th>Payment Status</th>-->
													<th>Order Status</th>
													<!--<th>Add Referal</th>
													<th>Answer1</th>
													<th>Answer2</th>
													<th>Answer3</th>
													<th>Answer4</th>
													<th>Answer5</th>-->
													
													<th>Delete</th>
													 <th>View</th>
												</tr>
												</thead>
												<tbody>
												<?php while ($row = $result->fetch_array()) {
												
												
												$tempDetails = $connection->query("SELECT * FROM order_details WHERE

														uniqueId = '$row[uniqueId]'")->fetch_assoc();
                                                
                                                $product_code = $tempDetails['product_code'];
                                                
                                                
                                                $product = $connection->query("SELECT * FROM products WHERE

														product_code = '$product_code'")->fetch_assoc();
                                                
                                               //$category_code =  $product['category_code'];
                                              $category_code =  $row['category']; 
                                                
                                                $category = $connection->query("SELECT * FROM categories WHERE

															category_code = '$category_code'")->fetch_assoc();
															
														 $category_level = $category['category_level'];
														
                                                // echo "SELECT * FROM delivery_persons WHERE online_status = 'Y' and status = 'A' and caetgory in (select parent_category_code from categories where category_code='$category_code')";
                                            // print_r($category_level);
                                                
                                               
												?>
													<tr>
														<td><?php echo $i;
															$i++; ?>
														</td>
														<?php $c = $c = $row['phone'];?>
														<?php $sql1 = $connection->query("SELECT * FROM users WHERE phone = '$c'");
										               $query1 = $sql1->fetch_assoc();?>
														
														
														<td><?php echo $query1['name']; ?></td>
														<!--<td><?php //echo $row['email']; ?></td>-->
														<td><?php echo $row['phone']; ?></td>
														<td><?php echo $query1['address']; ?></td>
														<td><?php echo $row['name']; ?></td>
														<td><?php echo date('d M Y', strtotime($row['order_date'])); ?></td>
														<td><?php echo $tempDetails['booking_date']; ?></td>
														
														<td><?php echo $tempDetails['booking_time']; ?></td>
														<td><?php echo $row['city_name']; ?></td>
														
														<td>
															<form action="include/assign_delivery_person.php" method="post">
																<input type="hidden" name="uniqueId" value="<?php echo $row['uniqueId']; ?>">
																<input type="hidden" name="id" value="<?php echo $row['id']; ?>">
																<select name="delivery_person" class="browser-default">
																	<option value="0" > -- choose services provider --
																	</option>
																	<?php 
																	 if( $category_level == 1){
                                                    	
																	 $person = $connection->query("SELECT * FROM delivery_persons WHERE online_status = 'Y' and status = 'A' and caetgory='$category_code'");
																?>
																
																<?php	while ($persons = $person->fetch_array()) { ?>
																	
																	
																		<option value="<?php echo $persons['email']; ?>" <?php echo $persons['email'] == $row['delivery_person'] ? "selected":"" ?>><?php echo $persons['name']; ?></option>
																	<?php } 
                                                    
                                                } ?>
												<?php /*else if( $category_level == 2){
                                                    
                                                    ?>
                                                    
																	<?php $person = $connection->query("SELECT * FROM delivery_persons WHERE online_status = 'Y' and status = 'A' and caetgory in (select parent_category_code from categories where category_code='$category_code')");
																	while ($persons = $person->fetch_array()) { ?>
																	
																	
																		<option value="<?php echo $persons['email']; ?>" <?php echo $persons['email'] == $row['delivery_person'] ? "selected":"" ?>><?php echo $persons['name']; ?></option>
                                                    
                                                    
                                                    
                                              <?php }
                                              
                                                    
                                                }else if( $category_level == 3){
                                                
                                                ?><option>1</option><?php
																	 $person = $connection->query("SELECT * FROM delivery_persons WHERE online_status = 'Y' and status = 'A' and caetgory in (select parent_category_code from categories where category_code =(select parent_category_code from categories where category_code='$category_code'))");
																	while ($persons = $person->fetch_array()) { ?>
																	
																	
																		<option value="<?php echo $persons['email']; ?>" <?php echo $persons['email'] == $row['delivery_person'] ? "selected":"" ?>><?php echo $persons['name']; ?></option>
                                               <?php }
                                                }
                                                */?>
																	
																	
																
																	
																	
																	
																	
																	
																	
																	
																</select>
																<input type="submit" name="assign" value="assign" class="btn">
															</form>
														</td>
														
														<td><?php echo $row['payment_method']; ?></td>
														<!--<td><?php echo $row['payment_status']; ?></td>-->
														<td>
															<form action="include/change_order_status.php" method="post">
																<input type="hidden" name="status" value="<?php echo $row['order_status']; ?>">
																<input type="hidden" name="uniqueId" value="<?php echo $row['uniqueId']; ?>">
																<select name="order_status" class="browser-default">
																	<option value="Waiting Payment"
																		<?php echo $row['order_status'] == "Waiting Payment" ? "Selected" : ""; ?>>
																		Waiting Payment
																	</option>
																	<option value="In Process"
																		<?php echo $row['order_status'] == "In Process" ? "Selected" : ""; ?>>
																		In Process
																	</option>
																	<option value="Order accepted"
																		<?php echo $row['order_status'] == "Order accepted" ? "Selected" : ""; ?>>
																		Order accepted
																	</option>
																	<option value="On the way"
																		<?php echo $row['order_status'] == "On the way" ? "Selected" : ""; ?>>
																		On the way
																	</option> 
																	<option value="Service Completed"
																		<?php echo $row['order_status'] == "Service Completed" ? "Selected" : ""; ?>>
																		Service Completed
																	</option>
																</select>
																<input type="submit" class="btn order-submit" value="Submit" >
																
															</form>
														</td>
														
														<?php  $r = $row['payment_method']; ?>
														<?php if($r == cod){ ?>
														
													<!--	<td>
															<form action="include/add_referal.php" method="post">
																<input type="hidden" name="phone" value="<?php// echo $row['phone']; ?>">
																<input type="hidden" name="price" value="<?php// echo $row['price']; ?>">
																
																<input type="submit" class="order-submit waves-light btn" value="Referral">
															</form>
														</td> -->
													<?php	} else{ ?>
													
													
													
												<?php	} ?>
													
														
														<!--<td><?php //echo $row['answer1']; ?></td>
														<td><?php //echo $row['answer2']; ?></td>
														<td><?php //echo $row['answer3']; ?></td>
														<td><?php //echo $row['answer4']; ?></td>
														<td><?php //echo $row['answer5']; ?></td>-->
														
														
														<td>
															<a href="include/delete_order.php?id=<?php echo $row['id']; ?>">
																<i class="fa fa-trash-o" aria-hidden="true"></i></a>
																</td>
																<td>
															<a href="view-order.php?uniqueId=<?php echo $row['uniqueId']; ?>">
																<i class="fa fa-eye" style="margin-bottom: 10px;"></i></a>
														</td>
													</tr>
												<?php } ?>
												</tbody>
											</table>
										</div>
									</div>
								</div>
							<?php } else { ?>
								<h3 class="text-center">Sorry, no order to display.</h3>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
} ?>