<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>    <![endif]-->
	</head>
	
	<body>
		
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Edit Delivery Person</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Edit Delivery Person</h4>
									</div>
									<?php
									$id = $_GET['id'];
									$email = $_GET['email'];
									$row = $connection->query("SELECT * FROM delivery_persons WHERE id = '$id' AND email = '$email'")->fetch_assoc();
									
									
									
									$sql = $connection->query("SELECT * FROM delivery_persons WHERE id = '$id'");
									$query = $sql->fetch_assoc();
									$c1 = $query['caetgory'];
									//print_r($c1);die;
									$sql1 = $connection->query("SELECT * FROM categories WHERE category_code = '$c1'");
									$query1 = $sql1->fetch_assoc();
									$c2 = $query1['caetgory'];
									//print_r($c2);die;
									$sql2 = $connection->query("SELECT * FROM categories WHERE category_code = '$c2' AND category_level = '2'");
									$query2 = $sql2->fetch_assoc();
									$c3 = $query2['parent_category_code'];
									?>
									<div class="bor">
										<form action="include/update_delivery_person.php" method="post" enctype="multipart/form-data">
											<div class="row">
												<div class="input-field col s12">
													<input type="hidden" value="<?php echo $row['id']; ?>" name="person_id">
													<input type="hidden" value="<?php echo $row['email']; ?>" name="person_email">
													<input id="person_name" name="person_name" type="text" class="validate"
													       value="<?php echo $row['name']; ?>" required>
													<label for="person_name">Person Name</label>
												</div>
												
												<div class="input-field col s12">
													<input id="person_name" name="person_phone" type="number" class="validate"
													       value="<?php echo $row['phone']; ?>" required>
													<label for="person_phone">Person Phone</label>
												</div>
												
												<div class="input-field col s12">
													<input id="person_password" name="person_password" type="text" class="validate"
													       value="<?php echo $row['password']; ?>" required>
													<label for="person_password">New Password</label>
												</div>
												
												<div class="input-field col s12">
													<input id="person_address" name="person_address" type="text" class="validate"
													       value="<?php echo $row['address']; ?>" required>
													<label for="person_address">Person Address</label>
												</div>

												<div class="input-field col s12">
													<input id="security_amount" name="security_amount" type="text" class="validate"
													       value="<?php echo $row['security_amount']; ?>" required>
													<label for="security_amount">Security Amount</label>
												</div>

												<div class="input-field col s12">
													<input id="collection_amount" name="collection_amount" type="text" class="validate"
													       value="<?php echo $row['collection_amount']; ?>" required>
													<label for="collection_amount">Collection Amount</label>
												</div>
												<div class="input-field col s12 main_category">
												<p>Select Main Category</p>
												<select name="first_category" id="first_category" class="browser-default">
													<?php $category = $connection->query("SELECT * FROM categories WHERE category_level = '1' AND parent_category_code = '0'");
													   while ($categoryRow = $category->fetch_array()) { ?>
													   <option value="<?php echo $categoryRow['category_code']; ?>" <?php echo $categoryRow['category_code']==$c1?"selected":"";?>><?php echo stripslashes(stripslashes(stripslashes($categoryRow['name'])));?></option>
													<?php } ?>
												</select>
												</div>

											
										
											</div>
											<div class="row">
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large"
													       value="Add Person">
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>
