<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		<script src="ckeditor/ckeditor.js"></script>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>
		<![endif]-->
	</head>
	
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Edit Products</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						} ?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Edit Products</h4>
									</div>
									<div class="bor">
										<?php $id = $_GET['id'];
										$sql = $connection->query("SELECT * FROM products WHERE id = '$id'");
										$query = $sql->fetch_assoc();
										$material = $query['material'];
										$c = $query['category_code'];
										$level1 = $query['category_level'];
										//echo $c."pj".$level1;
										
										
									?>
									
									
									
										
										
										
										<form action="include/update_product.php" method="post" enctype="multipart/form-data">
											<div class="row">
												<div class="input-field col s12">
													<input type="hidden" name="product_id" value="<?php echo $query['id']; ?>">
													<input type="hidden" name="material" value="<?php echo $query['material']; ?>">
													<input id="product_name" type="text" class="validate" name="product_name"
													       value="<?php echo $query['name']; ?>">
													<label for="product_name">Product Name</label>
												</div>
												<!--<div class="input-field col s12">
													<input id="product_code" type="text" class="validate" name="product_code"
													       value="<?php// echo $query['product_code']; ?>">
													<label for="product_code">Product Code</label>
												</div>-->
												
												<div class="input-field col s12">
													<input id="stringprice" type="text" class="validate" name="stringprice"
													       value="<?php echo $query['price_string']; ?>">
													<label for="price">Price(string)</label>
												</div>
												
												<div class="input-field col s12">
													<input id="stringdiscount" type="text" class="validate" name="stringdiscount"
													       value="<?php echo $query['discount_string']; ?>">
													<label for="price">Discount Price(string)</label>
												</div>
												
												<div class="input-field col s12">
													<input id="price" type="number" class="validate" name="price"
													       value="<?php echo $query['price']; ?>"required>
													<label for="price">Price</label>
												</div>
												
												<div class="input-field col s12">
													<input id="booking" type="text" class="validate" name="booking"
														value="<?php echo $query['booking_amount']; ?>" required>
													<label for="booking">Booking</label>
												</div>
												
												<div class="input-field col s12">
													<input id="discount_percentage" type="text" class="validate" name="discount_percentage"
													       value="<?php echo $query['discount_percentage']; ?>">
													<label for="price">Discount(in %)</label>
												</div>
											<div class="input-field col s12">
													<input id="discount" type="number" class="validate" name="discount"
													       value="<?php echo $query['discount']; ?>">
													<label for="discount">Discount Price</label>
												</div>
												

												<div class="input-field col s12">
													<input id="gst" type="text" class="validate" name="gst"
													       value="<?php echo $query['gst']; ?>">
													<label for="gst">Gst</label>
												</div> 

												<div class="input-field col s12">
													<textarea  id="editor1" name="short_details"><?php echo $query['small_details']; ?></textarea>
													<label for="short_details">Details</label>
												</div>
												<script>CKEDITOR.replace( 'editor1' ); </script>

											<!--	<div class="input-field col s12">
													<input id="big_details" type="text" class="validate" name="big_details"
													       value="<?php echo $query['Big_Details']; ?>">
													<label for="big_details">Short Details</label>
												</div> -->
												<div class="input-field col s12">
													<!-- <label>Select Category</label> -->
													<p>Select Category</p>
													<select name="first_category" id="first_category" class="browser-default">
													<option value="">--Select Category-- </option>
														<?php $sql1 = $connection->query("SELECT *  FROM categories WHERE  category_code='$c' ")->fetch_assoc();
														$catcode = $sql1['category_code'];
														
														$ptcode = $sql1['parent_category_code']; 
														
														$level = $sql1['category_level'];
														
														$sql21 = $connection->query("SELECT *  FROM categories WHERE  category_code='$ptcode' ")->fetch_assoc();
														
														
														 $sql2 = $connection->query("SELECT *  FROM categories WHERE  category_code='$ptcode' and category_level='2' ")->fetch_assoc();
														
														$ptcode1 = $sql2['parent_category_code'];
														
														$sql3 = $connection->query("SELECT *  FROM categories WHERE  category_code='$ptcode1' and category_level='1' ")->fetch_assoc();
														$sql4 = $connection->query("SELECT *  FROM categories WHERE  category_level='1' ");
														while ($category = $sql4->fetch_assoc()) {  ?>

														    
															
															<?php if($level1 == 3){  ?>
														




															 <option value="<?php echo $category['category_code'] ?>" <?php echo $sql3['category_code']==$category['category_code']?"selected":"";?>><?php echo $category['name']   ?></option>
															 
																	<?php  }  ?>
																	
																	<?php if($level1 == 2){  ?>
														




															 <option value="<?php echo $category['category_code'] ?>" <?php echo $sql21['category_code']==$category['category_code']?"selected":"";?>><?php echo $category['name']   ?></option>
															     
																
																        
																	<?php  }  ?>
																	
																	
																	
																	<?php if($level1 == 1){  ?>
														

																		


															 <option value="<?php echo $category['category_code'] ?>" <?php echo $c==$category['category_code']?"selected":"";?>><?php echo $category['name']   ?></option>
															 
																	<?php  }  ?>
															
															 
															 
															 
														<?php } ?>
														
														
													</select>
												</div>
												
												
											
												
												<div class="input-field col s12 sub_category" style="display: none">
													<!-- <label>Select Category</label> -->
													<p>Select Category</p>
													<select name="second_category" id="second_category" class="browser-default">
													<option value="">--Select Sub_Category-- </option>
														<?php $sql5 = $connection->query("SELECT * FROM categories WHERE category_level = 2");
														while ($category1 = $sql5->fetch_assoc()) {
															
														?>

														<?php if($level1 == 3){  ?>
														

																		


															  <option value="<?php echo $category1['category_code'] ?>" <?php echo $sql2['category_code']==$category1['category_code']?"selected":"";?>><?php echo $category1['name']?></option>
														<?php } ?>
														
														
														
														<?php if($level1 == 2){  ?>
														

																		


															  <option value="<?php echo $category1['category_code'] ?>" <?php echo $c==$category1['category_code']?"selected":"";?>><?php echo $category1['name']?></option>
														<?php } ?>
														
														
														<?php if($level1 == 1){  ?>
														

																		


															  <option value="<?php echo $category1['category_code'] ?>" <?php echo $c==$category1['category_code']?"selected":"";?>><?php echo $category1['name']?></option>
														<?php } ?>
														
														
														<?php } ?>
														
														
														



															
													</select>
												</div>
												
												<div class="input-field col s12 sub_sub_category" style="display: none">
													<!-- <label>Select Category</label> -->
													<p>Select Sub_Sub_Category</p>
													<select name="product_category" id="product_category" class="browser-default">
													<option value="">--Select Sub_Sub_Category-- </option>
														<?php $sql3 = $connection->query("SELECT name,category_code FROM categories WHERE category_level = 3");
														while ($category3 = $sql3->fetch_assoc()) {
															$catname3 = $category3['name'];
															$catcode3 = $category3['category_code'];
															$selected = "";
															if ($catcode3 == $query['category_code']) {
																$selected = "Selected";
															}
//															?>
															<option value="<?php echo $catcode3; ?>" <?php echo $selected; ?>>
																<?php echo $catname3; ?>
															</option>
														<?php } ?>
													</select>
												</div>

												<!-- <div class="input-field col s12">
													<p>Special Category</p>
													<select name="special_category" class="browser-default" id="special_category">
														<option value="0"<?php echo $query['special_category'] == 0 ? "Selected" : ""; ?>>-----SELECT OPTION -----</option>
														<option value="1" <?php echo $query['special_category'] == 1 ? "Selected" : ""; ?>>Featured Products</option>
														<option value="2" <?php echo $query['special_category'] == 2 ? "Selected" : ""; ?>>Discounted Products</option>
														<option value="3" <?php echo $query['special_category'] == 3 ? "Selected" : ""; ?>>New Arrival</option>
													</select>
												</div> -->

												<div class="input-field col s12">
													<p>Main Photo of Product</p>
													<input id="product_image" name="product_image" type="file" class="validate">
												</div>

												<div class="input-field col s12">
													<p>Second Photo of Product</p>
													<input name="product_image2" type="file">
												</div>

												<div class="input-field col s12">
													<p>Third Photo of Product</p>
													<input name="product_image3" type="file">
												</div>

												<div class="input-field col s12">
													<p>fourth photo of product</p>
													<input name="product_image4" type="file">
												</div>
                                                 <div class="input-field col s12">
													<p>Fifth photo of product</p>
													<input name="product_image5" type="file">
												</div>
												<div class="input-field col s12">
													<p>Sixth photo of product</p>
													<input name="product_image6" type="file">
												</div>
												
											</div>

											
<div class="row">
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large" value="Update Product">
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
			<script>
			$(document).ready(function(){
				$('#first_category').on('change',function(){
			
					var top_category_code = $(this).val();
					//alert(top_category_code);
                    var cat = '';
                    cat += '<option value="">--Choose Sub Category--</option>';
                    console.log(top_category_code);
					var url = 'https://dtuat.com/apps/ruralclap/appcode/select_category_for_add_product.php';
				    $.ajax({
                          
                         // url: 'http://localhost/kroyon/kroyon_new/appcode/admin/select_category_for_add_product.php',
                         //url: 'http://dakshithtechnologies.com/apps/tri_veg/appcode/admin/select_category_for_add_product.php',
                          url:url,
						  type: 'post',
                          data : {top_category_code: top_category_code},
                          dataType: 'json',

                          success: function(response){
                          	console.log(response);
                          	if(response.length == 0){
                                //$('.sub_category').show();
                          		//$('.sub_sub_category').show();
								
								$('.sub_category').hide();
                          		$('.sub_sub_category').hide();
                          	}else{
                          		$('.sub_category').show();
                              $.each(response,function(item,value){
                                var str = value.name;
                                  str = str.replace(/\\/g,'');
                               cat += "<option value="+value.category_code+">"+str+"</option>"

                            });

                            $('#secound_category').empty().append(cat);	
                          }
                          },
                          error: function(response){
                          	console.log(response);
                          }


				    });

				});
				

				$('#secound_category').on('change',function(){
					
                    var secound_category_code = $(this).val();
                    
                 //  alert(secound_category_code);
					url = 'https://dtuat.com/apps/ruralclap/appcode/select_category_for_add_product.php';
                    var cat1 = '';
                    cat1 += '<option value="">--Choose Sub Sub Category--</option>';
					
				    $.ajax({
                          
                         // url: 'http://localhost/kroyon/kroyon_new/appcode/admin/select_category_for_add_product.php',
                          //url: 'http://dakshithtechnologies.com/apps/tri_veg/appcode/admin/select_category_for_add_product.php',
                           
						  url:url,
						  type: 'post',
                          data : {secound_category_code: secound_category_code},
                          dataType: 'json',

                          success: function(response){
                          	if(response.length == 0){
                          		//$('.sub_category').show();
                          		//$('.sub_sub_category').show();
							//	$('.sub_category').hide();
                          		$('.sub_sub_category').hide();
                          	}else{
                          		$('.sub_sub_category').show();
                              $.each(response,function(item,value){
                               var str1 = value.name;
                               str1 = str1.replace(/\\/g,'');
                               cat1 += "<option value="+value.category_code+">"+str1+"</option>"

                          });
                          $('#product_category').empty().append(cat1);	
                          // $('#add-products').removeClass('disabled');

                        }
                       
                          },

                          error: function(response){
                          	console.log(response);
                          }


				    });




				});

				$('#product_category').on('change',function(){
				  $( "input" ).prop( "disabled", false );
				});
			});
		</script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>