<?php
require_once "../config.php"; 

session_start();
$order_details = "";
$order_items = "";
$userDetails = "";
$i = 1;
$sub_total = 0;
$grand_total = 0;
if ($_SESSION['user_status'] == "logged_in") {
	$id = "";
	if (isset($_GET['id'])) {
		$id = $_GET['id'];
		$order_items = mysqli_query($connection, "SELECT order_details.*,temporder.payment_method,temporder.payment_status,temporder.required_amount FROM order_details INNER JOIN temporder on order_details.uniqueId = temporder.uniqueId  WHERE order_details.uniqueId = '$id'");
		$order_details = mysqli_query($connection, "SELECT * FROM temporder WHERE uniqueId = '$id'")->fetch_assoc();
		$userDetails = mysqli_query($connection, "SELECT * FROM users WHERE phone = '$order_details[phone]'")->fetch_assoc();
	}
	?>
	<!doctype html>
	<html>
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
		<meta http-equiv="X-UA-Compatible" content="ie=edge">
		<title>Order Invoice</title>
		<style>
			body {
				margin: 0 20px;
			}
			
			.container {
				display: flex;
				flex-direction: column;
				justify-content: flex-start;
			}
			
			header {
				width: 100%;
				display: flex;
				flex-direction: row;
				justify-content: flex-start;
				border-bottom: 1px solid #222;
			}
			
			header .logo {
				width: 25%;
			}
			
			.logo img {
				width: 100%;
			}
			
			.top-details {
				display: flex;
				justify-content: space-between;
				border-bottom: 2px solid #222;
			}
			
			.order-details {
				display: flex;
				flex-direction: column;
				margin-bottom: 50px;
			}
			
			table {
				width: 100%;
				text-align: center;
			}
			
			table th {
				font-weight: bold;
			}
			
			table thead {
				padding-bottom: 20px !important;
			}
			
			tbody {
				border-bottom: 1px solid #222;
			}
			
			footer {
				display: flex;
				justify-content: space-between;
			}
			
			footer h3 {
				padding-right: 200px;
			}
			
			.border-top {
				border-top: 1px solid #222;
				margin: 0;
			}
			
			.border-bottom {
				border-bottom: 1px solid #222;
			}
			
			.margin-top-10 {
				margin: 10px 0 0 0;
			}
		</style>
	</head>
	<body>
		<div class="container">
			<header>
				<!--<div class="logo">
					<img src="../img/" alt="logo">
				</div>-->
				<h2>Xpert Salahkar</h2>
			</header>
			<section class="top-details">

				<div class="left-side side">
					<h3>Order Id: <?php echo 2734 + $order_details['id']; ?></h3>
					
					<br>
					<h3>Name: <?php echo $userDetails['name']; ?></h3>
					<h3>Phone: <?php echo $userDetails['phone']; ?></h3>
					<h3>Email: <?php echo $userDetails['email']; ?></h3>
					<h3>
						Address: <?php echo $order_details['address'] . "," . $order_details['city'] . "," . $order_details['pincode']; ?></h3>
					<h3>Payment Mode: <?php echo strtoupper($order_details['payment_method']); ?></h3>
				</div>
				
					

				<div class="right-side side">
					<h3>Date: <?php echo date("d M Y", strtotime($order_details['order_date'])); ?></h3>
				</div>
			</section>
			
			<section class="order-details">
				<h2>Ordered items:-</h2>
				<table>
					<thead>
					<tr>
						<th>Sr No.</th>
						<th>Name</th>
						<th>Product Quantity</th>
						<th>Booking Amount</th>
						<th>Product Price</th>
						<th>Required Amount</th>
						<th>Gst</th>
						<th>Gst Amount</th>
						<!-- <th>Amount Paid</th> -->
						
						<th>Price</th>
						<th>Total Item Price</th>
					</tr>
					</thead>
					<tbody>
                            <?php while ($item = $order_items->fetch_array()) {
                            $temporDetails = $connection->query("SELECT * FROM temporder WHERE
														uniqueId = '$id'")->fetch_assoc();
														
														
					          ?>
            
						
						<tr>
							<td><?php echo $i; ?></td>
							<td><?php echo $item['name']; ?></td>
							<td><?php echo $item['quantity']; ?></td>
							
							<?php  $r = $temporDetails['payment_status']; ?>
							<?php  $d = $item['discount_price']; ?>
														<?php if($r == success){ ?>
														<td><?php echo $item['price']; ?></td>
														<?php if(!empty($d)){?>	
														<td><?php echo $item['discount_price']; ?></td>
														<td><?php echo $item['discount_price']*$item['quantity'] + $item['gst_amount']*$item['quantity']; ?></td>
															
															<?php } else{ ?>
															
															
															<td><?php echo $item['product_price']; ?></td>
														<td><?php echo $item['product_price']*$item['quantity']+ $item['gst_amount']*$item['quantity']; ?></td>
															
															<?php	} ?>
														<td><?php echo $item['gst']; ?>%</td>
														<!-- <td><?php echo $item['gst_amount']*$item['quantity']; ?></td> -->
														<td><?php echo $item['price']; ?></td>
														
														
														
													<?php	} else{ ?>
													
													<td><?php echo $item['price']; ?></td>
													<?php if(!empty($d)){?>	
														<td><?php echo $item['discount_price']; ?></td>
														<td><?php echo $item['discount_price']*$item['quantity']+ $item['gst_amount']*$item['quantity']; ?></td>
															
															<?php } else{ ?>
															
															
															<td><?php echo $item['product_price']; ?></td>
														<!-- <td><?php echo $item['product_price']*$item['quantity']+ $item['gst_amount']*$item['quantity']; ?></td> -->
															
															<?php	} ?>
														
														<td><?php echo $item['gst']; ?>%</td>
														<td><?php echo $item['gst_amount']*$item['quantity']; ?></td>
														<!-- <td></td> -->
														
													
												<?php	} ?>
							

							<?php if(!empty($d)){?>	
														<td><?php echo $item['discount_price']; ?></td>
														<td><?php echo $item['discount_price']*$item['quantity']+ $item['gst_amount']*$item['quantity']; ?></td>
															
															<?php } else{ ?>
															
															
															<td><?php echo $item['product_price']; ?></td>
														<td><?php echo $item['product_price']*$item['quantity'] + $item['gst_amount']*$item['quantity']; ?></td>
															
															<?php	} ?>
							
							
							<!--<td>Rs. <?php echo $item['product_price']; ?></td>
							<td>Rs. <?php echo $item['product_price']+ $item['gst_amount']; ?></td>-->
						</tr>
					<?php
					
					if(!empty($d)){?>	
														<?php $item_total += $item['discount_price']*$item['quantity']+ $item['gst_amount']*$item['quantity'];
					                                           $gross_total += $item['discount_price']*$item['quantity']; ?>
															
															<?php } else{ ?>
															
															
															<?php $item_total += $item['product_price']*$item['quantity']+ $item['gst_amount']*$item['quantity'];
					                                           $gross_total += $item['product_price']*$item['quantity']; ?>
															
															<?php	}
					
					
						
					$i++;
					} ?>
					</tbody>
					<tfoot>
					<tr>
						<th>&nbsp;</th>
					</tr>
					<tr></tr>
					<tr></tr>
					<tr></tr>
					<tr>
						<th colspan="5">Gross Total</th>
						<th><p class="border-top"><?php echo $gross_total; ?></p></th>
					</tr>
					<tr>
						<th colspan="5">Total</th>
						<th>
							<p class="border-top border-bottom"><?php echo $item_total; ?></p>
						</th>
					</tr>
					</tfoot>
				</table>
			</section>
			<footer>
				<h1>THANKS</h1>
				<!--<h3>Signature </h3>-->
			</footer>
			<script>
				window.print();
			</script>
		</div>
	</body>
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>