<?php
require_once 'include/config.php';
?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>
		<![endif]-->
	</head>
	<body>
		
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
			</div>
			<div class="sb2-2">
				<div class="sb2-2-2">
					<ul>
						<li><a href="main.php"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
						</li>
						<li class="active-bre"><a href="#">All Email Subscribe</a>
						</li>
					</ul>
				</div>
				<div class="sb2-2-3">
					<div class="row">
						<div class="col-md-12">
							<?php if (isset($_SESSION['error_msg'])) {
								echo $_SESSION['error_msg'];
								unset($_SESSION['error_msg']);
							}
							if (isset($_SESSION['success_msg'])) {
								echo $_SESSION['success_msg'];
								unset($_SESSION['success_msg']);
							}
							$sql = "SELECT * FROM email_subscribe ORDER BY id DESC";
							$result = $connection->query($sql);
							$i = 1;
							if ($result->num_rows > 0) { ?>
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">All Email Subscribe</h4>
									</div>
									<div class="tab-inn">
										<div class="table-responsive table-desi">
											<table class="table table-hover">
												<thead>
												<tr>
													<th>Sr. No.</th>
													<th>Phone</th>
													<th>Sent Date</th>
												</tr>
												</thead>
												<tbody>
												<?php while ($row = $result->fetch_array()) { ?>
													<tr>
														<td><?php echo $i;
															$i++; ?>
														</td>
														
														<td><?php echo $row['email']; ?></td>
														
														<td><?php echo date('d M, Y', strtotime($row['received_date'])); ?></td>
													</tr>
												<?php } ?>
												</tbody>
											</table>
										</div>
									</div>
								</div>
							<?php } else { ?>
								<h3 class="text-center">Sorry, no Email Subscribe to display.</h3>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	
	</html>
