<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		<script src="ckeditor/ckeditor.js"></script>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>    <![endif]-->
	</head>
	
	<body>
		
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Add Product</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Add Product</h4>
									</div>
									<div class="bor">
										<form action="include/add_product.php" method="post" enctype="multipart/form-data">
											<div class="row">
												<div class="input-field col s12">
													<input id="product_name" name="product_name" type="text" class="validate">
													<label for="product_name">Product Name</label>
												</div>

												<!--<div class="input-field col s12">
													<input id="product_code" name="product_code" type="text" class="validate">
													<label for="product_code">Product Code</label>
												</div>-->
												
												
												<!--<p class="red-text col s12">Price Started from 200.</p>-->
												<div class="input-field col s12">
													 Price:<textarea id="price" name="price"></textarea>
												<!--<div class="input-field col s12">
													<input id="price" name="price" type="text" class="validate">
													<label for="b_amount">Price</label>
												</div>-->
												
												
												
												
												
												
												<div class="input-field col s12">
													<input id="b_amount" name="b_amount" type="number" class="validate">
													<label for="b_amount">Booking Amount</label>
												</div>

											<!--	<div class="input-field col s12">
													<input id="old_price" type="text" class="validate" name="old_price"
													       value="<?php //echo $query['plate_size']; ?>">
													<label for="old_price">Plate Size[Fill Seperated by coma(,)]</label>
												</div>
												
												<div class="input-field col s12">
													<input id="product_price" type="text" class="validate" name="product_price"
													       value="<?php //echo $query['Price']; ?>">
													<label for="product_price">Price[Fill Seperated by coma(,)]</label>
												</div>
												
												<div class="input-field col s12">
													<input id="discount" name="discount" type="number" class="validate">
													<label for="discount">Discount %</label>
												</div> -->
												
												

												<div class="input-field col s12">
													 Details:<textarea id="editor1" name="editor1"></textarea>
													
												</div>
											<script>CKEDITOR.replace( 'editor1' ); </script>
											<!--	<div class="input-field col s12">
													<input id="big_details" name="big_details" type="text" class="validate">
													<label for="big_details">Big Details</label>
												</div> -->

												<div class="input-field col s12">
													<p>Select Category</p>
													<select name="product_category" id="product_category" class="browser-default">
														<option value="-1" selected>Choose Category</option>
														<?php 
                                                       
                                                         $sql1="SELECT * FROM categories";
												    	 $run1=mysqli_query($connection,$sql1);
                                                        while($result1=mysqli_fetch_array($run1)){

                                                         ?>
                                                        <option value="<?php echo $result1['category_code']; ?>">
	                                                    <?php echo $result1['name'];?></option>
														<?php } ?>
													</select>
												</div>

											<!--	<div class="input-field col s12">
													<p>Select Special Category</p>
													<select name="special_category" id="special_category" class="browser-default">
														<option value="0">Choose Special Category</option>
														<option value="1">Featured Products</option>
														<option value="2">Discounted Products</option>
														<option value="3">New Arrivals</option>
													</select>
												</div> -->

												<div class="input-field col s12">
													<p>Main Photo of Product</p>
													<input id="product_image" name="product_image" type="file" class="validate" required>
												</div>

											<!--	<div class="input-field col s12">
													<p>Second Photo of Product</p>
													<input name="product_image2" type="file">
												</div>

												<div class="input-field col s12">
													<p>Third Photo of Product</p>
													<input name="product_image3" type="file">
												</div>

												<div class="input-field col s12">
													<p>forth photo of product</p>
													<input name="product_image4" type="file">
												</div> -->

												
											</div><br>
											<div class="row">
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large" value="Add Product">
												</div>
											</div>

										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		<script>
			$(document).ready(function(){
				$('#first_category').on('change',function(){
			
					var top_category_code = $(this).val();
						//alert(top_category_code);
                    var cat = '';
                    cat += '<option value="">--Choose Sub Category--</option>';
                    console.log(top_category_code);
					var url = 'https://dtuat.com/apps/ruralclap/appcode/select_category_for_add_product.php';
				    $.ajax({
                          url:url,
						  type: 'post',
                          data : {top_category_code: top_category_code},
                          dataType: 'json',

                          success: function(response){
                          	console.log(response);
                          	if(response.length == 0){
                                //$('.sub_category').show();
                          		//$('.sub_sub_category').show();
								$('.sub_category').hide();
                          		$('.sub_sub_category').hide();
                          	}else{
                          		$('.sub_category').show();
                              $.each(response,function(item,value){
                                var str = value.name;
                                  str = str.replace(/\\/g,'');
                               cat += "<option value="+value.category_code+">"+str+"</option>"

                            });

                            $('#secound_category').empty().append(cat);	
                          }
                          },
                          error: function(response){
                          	console.log(response);
                          }


				    });

				});
				

				$('#secound_category').on('change',function(){
					
                    var secound_category_code = $(this).val();
                    
                   // alert(secound_category_code);
					url = 'https://dtuat.com/apps/ruralclap/appcode/select_category_for_add_product.php';
                    var cat1 = '';
                    cat1 += '<option value="">--Choose Sub Sub Category--</option>';
					
				    $.ajax({
                          
                         // url: 'http://localhost/kroyon/kroyon_new/appcode/admin/select_category_for_add_product.php',
                          //url: 'http://dakshithtechnologies.com/apps/tri_veg/appcode/admin/select_category_for_add_product.php',
                           
						  url:url,
						  type: 'post',
                          data : {secound_category_code: secound_category_code},
                          dataType: 'json',

                          success: function(response){
                          	if(response.length == 0){
                          		//$('.sub_category').show();
                          		//$('.sub_sub_category').show();
							//	$('.sub_category').hide();
                          		$('.sub_sub_category').hide();
                          	}else{
                          		$('.sub_sub_category').show();
                              $.each(response,function(item,value){
                               var str1 = value.name;
                               str1 = str1.replace(/\\/g,'');
                               cat1 += "<option value="+value.category_code+">"+str1+"</option>"

                          });
                          $('#product_category').empty().append(cat1);	
                          // $('#add-products').removeClass('disabled');

                        }
                       
                          },

                          error: function(response){
                          	console.log(response);
                          }


				    });




				});

				$('#product_category').on('change',function(){
				  $( "input" ).prop( "disabled", false );
				});
			});
		</script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>