<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>
		<![endif]-->
	</head>
	
	<body>
		
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
			</div>
			<div class="sb2-2">
				<div class="sb2-2-2">
					<ul>
						<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
						</li>
						<li class="active-bre"><a href="#">All Service Providers</a>
						</li>
					</ul>
				</div>
				<div class="sb2-2-3">
					<div class="row">
						<div class="col-md-12">
							<?php if (isset($_SESSION['error_msg'])) {
								echo $_SESSION['error_msg'];
								unset($_SESSION['error_msg']);
							}
							if (isset($_SESSION['success_msg'])) {
								echo $_SESSION['success_msg'];
								unset($_SESSION['success_msg']);
							}
							$sql = "SELECT * FROM delivery_persons";
							$result = $connection->query($sql);
							if ($result->num_rows > 0) { ?>
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">All Service Providers</h4>
									</div>
									<div class="tab-inn">
										<div class="table-responsive table-desi">
											<table class="table table-hover">
												<thead>
												<tr>
													<th>Id</th>
													<th>Name</th>
													<th>Email</th>
													<th>Phone</th>
													<th>Service Type</th>
													<th>Security Amount</th>
													<th>City</th>
													<th>Address</th>
													<!--<th>No. of Orders</th>-->
													<th>Status</th>
													<th>Online/Offline</th>
													<th>Edit</th>
													<th>Delete</th>
												</tr>
												</thead>
												<tbody>
												
												<?php while ($row = $result->fetch_array()) { 
												$c1 = $row['caetgory'];
												$sql1 = $connection->query("SELECT * FROM categories WHERE category_code = '$c1'");
									$query1 = $sql1->fetch_assoc();
									$c2 = $query1['name'];
									//echo"<pre>";
									//print_r($c2);die;
												?>
										
													
													<tr>
														<td><?php echo $row['id']; ?></td>
														<td><?php echo $row['name']; ?></td>
														<td><?php echo $row['email']; ?></td>
														<td><?php echo $row['phone']; ?></td>
														
														
														
														<td><?php echo $c2; ?></td>

														<?php if($row['security_amount'] != ''){ ?>

														<td><?php echo $row['security_amount']; }else{ ?> </td>
														<td><?php echo 0; ?></td>
														<?php } ?>

														<?php if($row['collection_amount'] != ''){ ?>

														<!--<td><?php // $row['collection_amount']; }else{ ?> </td>
														<td><?php //echo 0; ?></td>-->
														<?php } ?>
														<td><?php echo $row['city_name']; ?></td>

														<td><?php echo $row['address']; ?></td>
														
														<td>
															<a href="include/delivery_person_change_status.php?id=<?php echo $row['id'] ?>&status=<?php
															echo $row['status']; ?>" class="btn white-text">
																<?php echo $row['status'] == 'A' ? 'Active' : "Inactive"; ?>
															</a>
														</td>
														<td>
															<a href="include/delivery_person_change_online_status.php?id=<?php echo $row['id'] ?>&status=<?php
															echo $row['online_status']; ?>" class="btn white-text">
																<?php echo $row['online_status'] == 'Y' ? 'ONLINE' : "OFFLINE"; ?>
															</a>
														</td>
														<td>
															<a href="delivery-person-edit.php?id=<?php echo $row['id']; ?>&email=<?php echo $row['email']; ?>">
																<i class="fa fa-pencil"></i>
															</a>
														</td>
														<td>
															<a href="include/delete_delivery_person.php?email=<?php echo $row['email']; ?>&id=<?php echo $row['id']; ?>" class="confirm_delete">
																<i class="fa fa-trash-o" aria-hidden="true"></i>
															</a>
														</td>
													</tr>
												<?php } ?>
												</tbody>
											</table>
										</div>
									</div>
								</div>
							<?php } else { ?>
								<h3 class="text-center">Sorry, no order to display.</h3>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		<script>
			$(document).ready(function() {
				$('.confirm_delete').click(function(evt) {
					evt.preventDefault();
					console.log('click');
					var a = $(this);
					var con = confirm("Are You Sure ?");
					var href = a.attr('href');

					if(con) {
						window.location.href = href;
					}
				});
			});
		</script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
} ?>
