<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>
		<![endif]-->
	</head>
	
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Edit Products</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						} ?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Edit Products</h4>
									</div>
									<div class="bor">
										<?php $id = $_GET['id'];
										$sql = $connection->query("SELECT * FROM questions WHERE id = '$id'");
										 
										$query = $sql->fetch_assoc();
										$c = $query['services'];
										?>
										<form action="include/update_questions.php" method="post" enctype="multipart/form-data">
											<div class="row">
												<div class="input-field col s12">
													<input type="hidden" name="product_id" value="<?php echo $query['id']; ?>">
													<?php $sql1 = $connection->query("SELECT * FROM products WHERE product_code = '$c'");
										               $query1 = $sql1->fetch_assoc();?>
													   
													<input id="product_name" type="text" class="validate" name="product_name"
													       value="<?php echo $query1['name']; ?>" readonly>
														   
													<label for="product_name">Services</label>
												</div>
												<div class="input-field col s12">
													<input id="question1" type="text" class="validate" name="question1"
													       value="<?php echo $query['question1']; ?>">
													<label for="question1">Questions1</label>
												</div>
												<div class="input-field col s12">
													<input id="question2" type="text" class="validate" name="question2"
													       value="<?php echo $query['question2']; ?>">
													<label for="question2">Questions2</label>
												</div>
												<div class="input-field col s12">
													<input id="question3" type="text" class="validate" name="question3"
													       value="<?php echo $query['question3']; ?>">
													<label for="question3">Questions3</label>
												</div>
												<div class="input-field col s12">
													<input id="question4" type="text" class="validate" name="question4"
													       value="<?php echo $query['question4']; ?>">
													<label for="question4">Questions4</label>
												</div>

												

											
											</div>

											
													<div class="row">
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large" value="Update Product">
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>