<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin"){ ?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
	</head>
	
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Add First Special Category Banner</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Add First Special Category Banner</h4>
									</div>
									<div class="bor">
										<form action="include/add_special_category_banner.php" method="post" enctype="multipart/form-data">
											<div class="row">
												<div class="input-field col s12">
													<input id="product_name" name="product_name" type="text" class="validate">
													<label for="product_name">Special Category Banner Name</label>
												</div>
												<!--<div class="input-field col s12">
													<p>Select Special Category</p>
													<select name="special_category_code" id="special_category_code" class="browser-default">
														<?php// $allSpeicalCategories = $connection->query("SELECT * FROM special_categories WHERE status = 'A'");
														
														//while ($row = $allSpeicalCategories->fetch_array()) { ?>
															<option value="<?php //echo $row['code']; ?>"><?php //echo $row['name']; ?></option>
														<?php //} ?>
													</select>
												</div>-->
												
												<!--<div class="input-field col s12">
													<p>Select Category</p>
													<select name="category_code" id="category_code" class="browser-default" onclick="fetch_sub_category(this)">
														<option value="0" selected disabled>Select Category to open on click</option>
														<?php /*$categories = $connection->query("SELECT * FROM categories WHERE category_level = 1
																AND parent_category_code = 0 AND category_level != '' AND status = 'A'");
														
														while($cat = $categories->fetch_array()) { */?>
															<option value="<?php /*echo $cat['category_code']; */?>"><?php /*echo $cat['name']; */?></option>
														<?php /*} */?>
													</select>
													<select name="sub_category_code" id="sub_category_code" class="hide browser-default"></select>
													<select name="sub_sub_category_code" id="sub_sub_category_code" class="hide browser-default"></select>
												</div>-->
												
												<div class="input-field col s12">
													<input id="banner_image" name="banner_image" type="file" class="validate" required>
													<label for="banner_image"></label>
												</div>
											</div>
											<div class="row">
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large" value="Add">
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		<script>

			function fetch_sub_category(self) {

				$.ajax({
					url: "./include/fetch_child_categories.php",
					data: {code: self.value},
					type: "post",
					dataType: "json",
					success: function (response) {
						console.log(response);
						var options;

						if (response.status === 1) {
							options = "<option value='0' selected disabled>choose sub category</option>";
							$.each(response.value, function (index, item) {
								options += "<option value='" + item.category_code + "'>" + item.name + "</option>";
							});

							$(self).siblings('select[name="sub_category_code"]').attr('onchange','fetch_sub_sub_category(this)').removeClass('hide')
								.empty().append(options);
						}
					},
					error: function (response) {
						console.log(error);
					},
				});
			}
			function fetch_sub_sub_category(self) {

				$.ajax({
					url: "./include/fetch_child_categories.php",
					data: {code: self.value},
					type: "post",
					dataType: "json",
					success: function (response) {
						console.log(response);
						var options;

						if (response.status === 1) {
							options = "<option value='0' selected disabed>choose sub sub category</option>";
							$.each(response.value, function (index, item) {
								options += "<option value='" + item.category_code + "'>" + item.name + "</option>";
							});

							$(self).siblings('select[name="sub_sub_category_code"]').removeClass('hide').empty().append(options);
						}
					},
					error: function (response) {
						console.log(error);
					},
				});
			}
		</script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>