<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>    <![endif]-->
	</head>
	
	<body>
		
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Add Video</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Add Video</h4>
									</div>
									<div class="bor">
										<form action="include/add_video.php" method="post" enctype="multipart/form-data">
											<!--<div class="input-field col s12">
										      <label for="student_id">Student_Id    </label>
													<input id="student_id" name="student_id" type="text" class="validate"
													       required>
													
											    </div>-->
											    <div class="row">
											    <div class="input-field col s12">
													<label for="video_id">Video ID</label>
													<input id="video_id" name="video_id" type="text" class="validate"
													       required>
													</div>
												</div>
												
											    <div class="row">
												<div class="input-field col s12">
												<label for="video_name">Video Name</label>
													<input id="video_name" name="video_name" type="text" class="validate"
													       required>
													</div>
												</div>

											    <div class="row">
												<div class="input-field col s12">
												<label for="keyword">keywords</label>
													<input id="keyword" name="keyword" type="text" class="validate"
													       required>
													</div>
												</div>
												<div class="row">
												<div class="input-field col s12">
													<p>video image</p>
													<input id="video_image" name="video_image" type="file" class="validate"
													       required>
												</div>
                                                </div>
												<div class="row">
												<div class="input-field col s12">
												
												Category Name:<select name="cat_name" class="browser-default">
											    <option value="0">---- choose category ----</option>
												<?php   
												$query="SELECT * FROM category";
                                                $run=mysqli_query($connection,$query);
                                                $i=1;
                                                while($row=mysqli_fetch_array($run)){
                                                	//print_r($row);
												?> 

												   <option value="<?php echo $row['cat_name']; ?>"><?php echo $row['cat_name']; ?></option>
												         <?php
												     }?>

													</select>
													</div>
												</div>
												
							                    <!--

												<div class="input-field col s12">
													<p>call-letter of Student</p>
													<input id="call-letter_image" name="call-letter_image" type="file" class="validate"
													       required>
												</div>
												
																							<div class="input-field col s12">-->
												<!--													<p>Second Photo of Product</p>-->
												<!--													<input id="product_image2" name="product_image2" type="file" class="validate"-->
												<!--													       required>-->
												<!--												</div>-->
												<!--												-->
												<!--												<div class="input-field col s12">-->
												<!--													<p>Third Photo of Product</p>-->
												<!--													<input id="product_image3" name="product_image3" type="file" class="validate"-->
												<!--													       required>-->
												<!--												</div>-->
												<!--												-->
												<!--												<div class="input-field col s12">-->
												<!--													<p>Fourth Photo of Product</p>-->
												<!--													<input id="product_image4" name="product_image4" type="file" class="validate"-->
												<!--													       required>-->
												<!--												</div>-->
												
												<!--<div class="input-field col s12">
													<h3>Extra Options</h3>
												</div>
												
												<div class="input-field col s12">
													<input type="text" name="option1_name" id="option1_name" class="validate">
													<label for="option1_name">Option 1 Name</label>
												</div>
												
												<div class="input-field col s12">
													<input type="text" name="option1_value" id="option1_value" class="validate">
													<label for="option1_value">Option 1 Value (add "," separated
														values)</label>
												</div>
												
												<div class="input-field col s12">
													<input type="text" name="option1_price" id="option1_price" class="validate">
													<label for="option1_price">Option1 Price (add "," separated
														values)</label>
												</div>
												
												<div class="input-field col s12">
													<input type="text" name="option1_mrp" id="option1_mrp" class="validate">
													<label for="option1_mrp">Option 1 MRP (add "," separated
														values)</label>
												</div>
											
											</div>-->
											<div class="row">
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large" value="Add Video">
												</div>

											</div>
										</form>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>