<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<style>
	input::placeholder{
    color: #000;
	}
	.fileInput {
    cursor: pointer;
    height: 100%;
    position:absolute;
    top: 0;
    right: 0;
    /*This makes the button huge so that it can be clicked on*/
    font-size:50px;
}
.hidden {
    /*Opacity settings for all browsers*/
    opacity: 0;
    -moz-opacity: 0;
    filter:progid:DXImageTransform.Microsoft.Alpha(opacity=0)
}
.inputWrapper {
    overflow: hidden;
    position: relative;
    cursor: pointer;
    /*Using a background color, but you can use a background image to represent a button*/
    background-color: #fff;
}
#file { width:0; height:0; }
.m-height{min-height: 155px!important;}
.open{
    top: 80%!important;
    width: 50%;
}
.chip {
    margin-top: 10px;
    width: 220px;
height: auto;}
.chip P{
	margin: 0!IMPORTANT;
}

	</style>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>    <![endif]-->
		
	</head>
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<div class="container-fluid" id="zoom" style="margin-bottom: 200px;">
		              <div class="row chat-messages" >
			          <div class="col s12">
			         
					</div>
					<br>
					<div id="message-list" style="word-break: break-word;">
					</div>			

				</div>
					</div>
	
	
	<footer style="">
		<form class="footer row" id="teacher-send-message">
			<div class="col s9">
				<div class="input-field">
					<input placeholder="Enter Message" id="message-teacher" name="message" type="text" class="validate" autofocus>
					<span style="right: 0px;position: absolute;top: 0px"><a class="" href="#modal1"><i style="font-size: 30px;" class="ion-paperclip"></i></a></span>
				</div>
			</div>
			<div class="col s2">
				<div class="input-field">
					<button type="submit" class="btn send-message-now">
						<i class="fa fa-paper-plane right" style="margin: 0 !important;"></i>
					</button>
				</div>
			</div>
		</form>
	</footer>
	
	<!--<div id="modal1" class="modal test" style="bottom:10px;height: 15%">
    <div class="modal-content" style="position: fixed;">
      <div class="row">
           
            <div class="col s5" id="cameraTakePictureChat" class="modal-close" onclick="cameraTakePictureChat();">
                <i style="font-size: 40px;" class="ion-android-camera"></i>
                <br>
              
            </div>
           
            <form>
            	
            <div class="col s5" class="modal-close" onchange="uploadImageChat();">
            	<div class="inputWrapper" style="height: 42px; width:35px;margin-left: 50px">
                <i style="font-size: 40px;" class="ion-android-image">
               <input id="file-input" class="fileInput hidden" type="file" name="product_image" accept="image/*" /></i>
               
                </span><br>
            </div>
               
                
            </div>
        </form>
      </div>
  </div>
</div>-->
						
						
						
						
						
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		<script>
		
		function getCurrentChatDate() {
	var months = new Array(12);
	months[0] = "January";
	months[1] = "February";
	months[2] = "March";
	months[3] = "April";
	months[4] = "May";
	months[5] = "June";
	months[6] = "July";
	months[7] = "August";
	months[8] = "September";
	months[9] = "October";
	months[10] = "November";
	months[11] = "December";

	var current_date = new Date();
	month_value = current_date.getMonth();
	day_value = current_date.getDate();
	year_value = current_date.getFullYear();

return months[month_value] + ", " +day_value + " " + year_value;

}
		
		
		
		</script>
		
		<script>
		
		$(document).ready(function(){
		  teacherSendMessage();
		  
		});
		
		</script>
		
		
		<script>
		
		$(document).ready(function(){
			
		  teacherGetMessage();
		  
		});
		
		</script>
		
		<script>
		
		
		document.addEventListener('deviceready', teacherSendMessage, false);
		//$(document).ready(function(){
			
		
           function teacherSendMessage() {
	
	var sendTeacherMsg = document.querySelector("#teacher-send-message");
	if (sendTeacherMsg) {

		//var user = getUserDetails();

		sendTeacherMsg.onsubmit = function(e) {
			e.preventDefault();
		 	var formData = new FormData(sendTeacherMsg);
		 	var sendDetails = {
		 		message: formData.get('message'),
		 	}
			
			

           
		   
		 	sendTeacherMsg.reset();
		 	if (sendDetails.message) {
				
		 		//var data1 = "";
		 		$.ajax({
		 			url: 'http://www.dakshithtechnologies.com/apps/ruralclap/appcode/send_teacher_message.php',
					data: {
		 				message: sendDetails.message,
		 				//doctor_id:1,
		 				user_id:localStorage.doc_chat_phone,
		 				//name:localStorage.doc_chat_name,
		 				//user_type:admin


		 			},
		 			dataType: 'json',
		 			type: 'post',
		 			success: function(response) {
						
		 				
		 				//console.log(response);
	            		if(response.status == 1) {
            			var data1 = "";
        			//sessionStorage.chatDate = getCurrentChatDate();
					sessionStorage.chatDate = getCurrentChatDate();
					
					console.log(sessionStorage.chatDate);
					
            		$.each(response.data,function(key, value){
					
            			
            			var status = "";
            			if (value.position === 'right') {
            				if (value.status === 'S') {
            				 	status = '<i style="color:green" class="ion-android-done"></i>';
            				} else {
            					status = '<i style="color:green" class="ion-android-done-all"></i>';	
            				}
						}
            			if (value.date != sessionStorage.chatDate) {
							
							
            					
            				data1 +=	'<div class="col s12">';
				  			data1 +=	'<a class="waves-effect waves-light btn" style="margin-bottom: 10px;">'+value.date+'</a>';
							data1 +=	'</div>';

            			}
						data1 +=	'<div class="col s8 '+value.position+'">';
				  		data1 +=	'<div class="chip">';
				  		data1 +=    '<p>'+value.message+'</p>';
				  		data1 +=	'<p class="right">'+value.time+' '+status+'</p>';
						data1 +=	'</div>';
						data1 +=	'</div>';
						sessionStorage.chatDate = value.date;
            		});
            		
    				$('#message-list').empty().append(data1);
            			sendTeacherMsg.reset();
            		} else {
            		var	data1 = 	"";
            			data1 +=	'<div class="col s8 left">';
						data1 +=	'<div class="chip">';
						data1 +=	'<p>'+response.msg+'</p>';
						data1 +=	'</div>';
						data1 +=	'</div>';
            			$('#message-list').empty().append(data1);
            			
            		}
            		},
		 			error: function(response) {

		 			},
		 			complete: function() {
		 				sessionStorage.teacherMsg = "";
		 				window.scrollTo(0,document.body.scrollHeight);
		 			}
		 		});
		 	}
		} 
	} else {


	}
}







</script>

<script>



document.addEventListener('deviceready', teacherGetMessage, false);
function teacherGetMessage() {
	
	var messageDiv = document.querySelector('#message-list');
	var img ="http://dakshithtechnologies.com/apps/ruralclap/img/";
	if (messageDiv) {
		
		
		

			
			$.ajax({
        		url: "http://www.dakshithtechnologies.com/apps/ruralclap/appcode/get_teacher_message.php",
        		data: {
          			username: 1,
          			user_id:localStorage.doc_chat_phone    
				},
        		dataType: "json",
        		type: "post",
        		async:false,
        		success: function (response) {
					
        			console.log(response);
            		if(response.status == 1) {
            			var data1 = "";
        			sessionStorage.chatDate = getCurrentChatDate();
            		$.each(response.data,function(key, value){
            			//console.log(response.data);
            			var status = "";
            			if (value.position === 'right') {
            				if (value.status === 'S') {
            				 	status = '<i style="color:green" class="ion-android-done"></i>';
            				} else {
            					status = '<i style="color:green" class="ion-android-done-all"></i>';	
            				}
						}
            			
            			if (value.date != sessionStorage.chatDate) {
            					
            				data1 +=	'<div class="col s12">';
				  			data1 +=	'<a class="waves-effect waves-light btn" style="margin-bottom: 10px;">'+value.date+'</a>';
							data1 +=	'</div>';

            			}
						data1 +=	'<div class="col s8 '+value.position+'">';
				  		data1 +=	'<div class="chip">';
				  			if(value.msg_type=="text"){

				  		data1 +=    '<p>'+value.message+'</p>';

				  	}else
						{		
				  		data1+= '<p><img id ="image_preview" src="'+img+value.message+'" height="100px" width="100px"></p>';
				  		}
				  		data1 +=	'<p class="right">'+value.time+' '+status+'</p>';
						data1 +=	'</div>';
						data1 +=	'</div>';
						sessionStorage.chatDate = value.date;
            		});
            		
    				$('#message-list').empty().append(data1);
    				
            			//sessionStorage.studentChatId = false;
            		} else {
            		var	data1 = 	"";
            			data1 +=	'<div class="col s8 left">';
						data1 +=	'<div class="chip">';
						data1 +=	'<p>'+response.msg+'</p>';
						data1 +=	'</div>';
						data1 +=	'</div>';
            			$('#message-list').empty().append(data1);
            		}
            		setTimeout(function(){teacherGetMessage();}, 1000);
        		},
      			error: function (response) {
        		console.log("Error");
        		console.log(response);
      			},
      			complete: function() {

      				//setPosition();
      				//window.scrollTo(0,document.body.scrollHeight);
      			}          
    	 	}); 
		
	}	
}
		
		
		</script>
		
		
		
		



<script>
		var messageField = document.querySelector('#message-teacher');
		if(sessionStorage.teacherMsg) {
			messageField.value = sessionStorage.teacherMsg;
		}
		messageField.addEventListener('keyup', function(e) {
			if(e.target.value) {
				sessionStorage.teacherMsg = e.target.value;
			}
		}, false);

		/*setTimeout(function() {
			//window.location.reload();
			teacherGetMessage();
		}, 10000);*/
		window.scrollTo(0,document.body.scrollHeight);
	</script>
		
		
		
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>