<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") { ?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->        <!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>        <![endif]-->
	</head>
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#">All Second Special Category Banners</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-3">
						<div class="row">
							<div class="col-md-12">
								<?php if (isset($_SESSION['error_msg'])) {
									echo $_SESSION['error_msg'];
									unset($_SESSION['error_msg']);
								}
								if (isset($_SESSION['success_msg'])) {
									echo $_SESSION['success_msg'];
									unset($_SESSION['success_msg']);
								} ?>
								<div class="box-inn-sp">
									<?php
									$sql = "SELECT * FROM special_category_banners where type='bottom' ORDER BY order_id";
									//$sql = "SELECT * FROM special_category_banners where type='top' ORDER BY order_id";
									$result = $connection->query($sql);
									if ($result->num_rows > 0) {
										?>
										<div class="inn-title">
											<h4 class="txt-center">All Second Special Category Banners</h4>
										</div>
										<div class="tab-inn">
											<div class="table-responsive table-desi">
												<table class="table table-hover">
													<thead>
													<tr>
														<th>Sr. No.</th>
														<!-- <th colspan="2">Set Order</th> -->
														<th>Name</th>
														<th></th>
														<th></th>
														<th></th>
														<th></th>
														<th>Image</th>
														<th>Replace Image</th>
														<th>Status</th>
														<th>Delete</th>
													</tr>
													</thead>
													<tbody>
													<?php  $i= 1;  while ($row = $result->fetch_array()) { ?>
														<tr id="myDIV">
															<td><?php echo $j = $j + 1; ?></td> 
															<!-- <?php if($i==1){?>
                                                                    <th><p></p></th>
                                                                    <th>
            																
            														<i class="fa fa-sort-down sort_table" data-id="<?php echo $row['order_id'];?>" data-cat_code="<?php echo $row['id'];?>" data-name="down"></i>
            														
            													    </th> -->
            													    <!--<th><p></p></th>-->
                                                                    
            
                                                                   <!-- <?php
                                                                    }else if($i== $result->num_rows){?>
                                                                    <th>
            																
            														<i class="fa fa-sort-up sort_table" data-id="<?php echo $row['order_id'];?>" data-cat_code="<?php echo $row['id'];?>" data-name="up"></i>
            													    </th>
            													    <th><p></p></th>
                                                                    <?php }else{?>
            
                                                                    <th><i class="fa fa-sort-up sort_table" data-id="<?php echo $row['order_id'];?>" data-cat_code="<?php echo $row['id'];?>" data-name="up"></i>
            															</th><th>	
            														<i class="fa fa-sort-down sort_table" data-id="<?php echo $row['order_id'];?>" data-cat_code="<?php echo $row['id'];?>" data-name="down"></i>
            													    </th>
                                                                <?php  } ?> -->
															<form action="include/update_special_category_banner1.php" method="post" enctype="multipart/form-data">
															
																<td colspan="5">
																	<input type="hidden" value="<?php echo $row['id']; ?>"
																	       name="category_id">
																	<input type="text" value="<?php echo $row['name']; ?>"
																	       size="3" name="category_name">
																</td>
																<td>
																	<img class="img-preview" src="../../img/<?php echo $row['photo_link']; ?>" style="width: 100px;height: 89px;">
																</td>
																<td>
																	<input type="file" name="newcatImage">
																</td>
																<td>
																	<select name="status" id="status" class="browser-default">
																		<option value="A" <?php echo $row['status'] == 'A' ? "selected" : "" ?>>
																			A
																		</option>
																		<option value="I" <?php echo $row['status'] == 'I' ? "selected" : "" ?>>
																			I
																		</option>
																	</select>
																</td>
																<td>
																<a href="include/delete_special_category_banner.php?id=<?php echo $row['id']; ?>&type=<?php echo $row['type']; ?>">
																	<i class="fa fa-trash"></i>
																</a>
																</td>
																<td>
																	<input type="submit" name="submit_button" value="Save"
																	       class="btn waves-button-input">
																</td>
															</form>
														</tr>
													<?php $i++;} ?>
													</tbody>
												</table>
											</div>
										</div>
									<?php } else { ?>
										<h3 class="text-center">Sorry, there are no bottom special category banner available.
											<a href="add-category.php">click here</a>.
										</h3>
									<?php } ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		<script type="text/javascript">  
		   $(document).ready(function () {
		      $('.sort_table').on('click', function () {
		         var sort_type = $(this).attr('data-name');
		         var sort_id = $(this).attr('data-id');
		         var type = 'cat';
		         //http://dtuat.com/apps/fresh_connect/admin/banners-all.php
		         var url = "https://dtuat.com/apps/fresh_connect/admin/sort_spacial_cat_banner.php";
		         var sort_detail = {
		            sort_type: sort_type,
		            sort_id: sort_id,
		            type: type
		         }
		         console.log(sort_detail);
		        //return;
		         $.ajax({
		            url: url,
		            type: 'post',

		            data: sort_detail,
		            dataType: 'json',
		            success: function (response) {
		               console.log(response);
		               if (response == 'success') {
		                  window.location.reload();
		               }
		            }
		         });
		      });
		   }); 
        </script>
	</body>
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>