<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>    <![endif]-->
		
	</head>
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Add Banner</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Chat</h4>
									</div>
									<div class="bor">
																				
										<form action="include/add_banner.php" method="post" enctype="multipart/form-data">
											<div class="row">
												<div class="input-field col s5" id="chat">
													
													
												</div>
												
											<!--	<div class="input-field col s6">
													<p>Status</p>
													<select name="status" id="status" class="browser-default">
														<option value="A">Active</option>
														<option value="I">Inactive</option>
													</select>
												</div> -->
												
												<!--<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-light btn-large" value="Add Banner">
												</div>-->
											</div>
										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		<script>
		
		$(document).ready(function(){
		  chatMessage();
		  
		});
		
		
		</script>
		<script>
		
			
			
    function chatMessage(){
    //var id = localStorage.username;
	
    
   var id = 1;
    
var url = "http://dakshithtechnologies.com/apps/ruralclap/appcode/show_chat_history.php";
 var data1 = "";
        $.ajax({
        url: url,
        type: "post",
       data: {id:id},
        dataType: "json",
         
        success: function(response) {
			
         console.log(response);
          $.each(response, function(item, value) {
           data1 += "<div class='row show-department-chat' name='"+value.name+"' id='"+value.id+"' phone='"+value.sender_id+"' style='border-top: 1px solid gray;position: relative;'>";
           // data1 += "<div class='col s3 center' >";
         // data1 += "<img src='img/doctor.png' class='responsive-img'>";
           // if(value.user_pic=='')
            // {
           // data1 += "<br><img src='img/user.png' class='img-circle' style:'margin-top: -10%;'>";            
            // }
               // else
               // {
                 // data1 += "<div id='circle' style='position: relative;margin-top: 10%;'><img src='http://dakshithtechnologies.com/apps/kisaan-mitra/images/"+value.image+"' class='img-circle'></div>";
                               // }            
           // data1 += "</div>";
           
           data1 += "<div class='col s6 center doctor-details'>";
           data1 += "<p style='margin: 0;padding: 10px;'><b>"+value.name+"</b></p>";
          
           if(value.unread_msg=='0')
              {

              }
            else{
            data1 +="<span class='new badge' style='position: absolute;right: 0;top: 5px;'>"+value.unread_msg+"</span>";
                }
           // data1 += "<p>Specialist: "+value.category+"</p>";
           //  data1 += "<p class='details'>Price: <span class='red-text'>Rs.<em>"+value.Price+"</em>";
           //  data1 += "</span></p>";
            data1 += "</div></div>";
          });
         $('#chat').empty().append(data1);
          //$(".supreme-container1").css("display", "none");
        },error:function(){
			
		}       
      });
        setTimeout(function(){chatMessage();
}, 10000);
      }
 
</script>

<script>


$(document).ready(function(){
	
	
	
	$('.bor').on('click', '.show-department-chat', function() {
	
    var doctor = $(this);

    var doctor_id= doctor.attr('id');
    var doctor_phone= doctor.attr('phone');
    var doc_chat_name = doctor.attr('name');

 
    localStorage.doc_chat_id = doctor_id;
    localStorage.doc_chat_phone = doctor_phone;
     localStorage.doc_chat_name = doc_chat_name;
	 
	  //window.open("admin_chat.php", "_blank");
	 
	 
  window.location.href = "admin_chat.php";
  });
	
});


</script>
		
		
		
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>