<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>
		<![endif]-->

    


	</head>
	
	<body>



		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Edit Video</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						} ?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Edit Video</h4>
									</div>
									<div class="bor">
										<?php $id = $_GET['id'];
										$sql = $connection->query("SELECT * FROM video_detail WHERE id = '$id'");
										$query = $sql->fetch_assoc();
										?>
										<form action="include/update_video.php" method="post" enctype="multipart/form-data">
											<div class="row">
												<div class="input-field col s12">
													<input type="hidden" name="id" value="<?php echo $query['id']; ?>">
													<label for="video_name">Video Name</label>
													<input id="video_name" type="text" class="validate" name="video_name"
													       value="<?php echo $query['video_name']; ?>" required>
													</div>
												</div>
												<div class="row">
												<div class="input-field col s12">
													
													<label for="video_id">Video ID</label>
													<input id="video_id" type="text" class="validate" name="video_id"
													       value="<?php echo $query['video_id']; ?>" required>
													</div>
												</div>
												<div class="row">
												<div class="input-field col s12">
													
													<label for="keyword">Keywords</label>
													<input id="keyword" type="text" class="validate" name="keyword"
													       value="<?php echo $query['keywords']; ?>" required>
													</div>
												</div>
												<div class="row">
												<div class="input-field col s12">
													<p>video image</p>
													<input id="video_image" name="video_image" type="file" class="validate"
													       required>
												</div>
											</div>
												<div class="row">
												<div class="input-field col s12">
												
												Category Name:<select name="cat_name" class="browser-default">
											    <option value="0">---- choose category ----</option>
												<?php   
												$query0="SELECT * FROM video_detail where id='$id'";
                                                $run0=mysqli_query($connection,$query0);
                                                $row0=mysqli_fetch_array($run0);
                                                echo $cat_name0= $row0['cat_name'];

                                                $query1="SELECT * FROM category";
                                                $run1=mysqli_query($connection,$query1);
                                                while($row1=mysqli_fetch_array($run1)){
                                                	//print_r($row);
												?> 
                                                    
												   <option value="<?php echo $row1['cat_name'];?>"   <?php echo $row0['cat_name']==$row1['cat_name']?"selected":""?>>
												   	<?php echo $row1['cat_name'];?></option>
												         <?php
												     }?>
                                                    
													</select>
													</div>
												</div>
												
<!--												<div class="input-field col s12">-->
<!--													<p>Second Photo of Product</p>-->
<!--													<input id="product_image2" name="product_image2" type="file" class="validate">-->
<!--												</div>-->
<!--												-->
<!--												<div class="input-field col s12">-->
<!--													<p>Third Photo of Product</p>-->
<!--													<input id="product_image3" name="product_image3" type="file" class="validate">-->
<!--												</div>-->
<!--												-->
<!--												<div class="input-field col s12">-->
<!--													<p>Fourth Photo of Product</p>-->
<!--													<input id="product_image4" name="product_image4" type="file" class="validate">-->
<!--												</div>-->
												
												
											
											<div class="row">
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large" value="Update Video">
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			
			<!--== BOTTOM FLOAT ICON ==-->
			<!--======== SCRIPT FILES =========-->
			<script src="js/jquery.min.js"></script>
			<script src="js/bootstrap.min.js"></script>
			<script src="js/materialize.min.js"></script>
			<script src="js/custom.js"></script>
		</div>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>