<?php
ob_flush();
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") {
	?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->        <!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>        <![endif]-->
	</head>
	
	<body>
		
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<!--== BODY INNER CONTAINER ==-->
				<div class="sb2-2">
					<!--== breadcrumbs ==-->
					<div class="sb2-2-2">
						<ul>
							<li><a href="main.php"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Dashboard</a>
							</li>
						
						</ul>
					</div>
					<!--== DASHBOARD INFO ==-->
					<div class="sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<h2>Admin Dashboard</h2>
						<p></p>
						<div class="db-2">
							<ul>
								
							<!--	<li>
									<div class="dash-book dash-b-4">
										<?php //$video = $connection->query("SELECT * FROM video_detail "); ?>
										<h5>Total Video</h5>
										<h3><?php //echo $video->num_rows; ?></h3>
										<a href="all-video.php">View more</a>
									</div>
								</li> -->
								<li>
									<div class="dash-book dash-b-1">
										<?php $cat = $connection->query("SELECT * FROM banner "); ?>
										<h5>Total banners</h5>
										<h4><?php echo $cat->num_rows; ?></h4>
										<a href="all-banners.php">View more</a>
									</div>
								</li>
								<li>
									<div class="dash-book dash-b-2">
										<?php $cat = $connection->query("SELECT * FROM categories WHERE parent_category_code = 0 "); ?>
										<h5>Total Category</h5>
										<h4><?php echo $cat->num_rows; ?></h4>
										<a href="all-category.php">View more</a>
									</div>
								</li>
								<li>
									<div class="dash-book dash-b-3">
										<?php $cat = $connection->query("SELECT * FROM products "); ?>
										<h5>Total Products</h5>
										<h4><?php echo $cat->num_rows; ?></h4>
										<a href="all-products.php">View more</a>
									</div>
								</li>
							<!--	<li>
									<div class="dash-book dash-b-4">
										<?php $cat = $connection->query("SELECT * FROM users where type='teacher'"); ?>
										<h5>Total Teachers</h5>
										<h3><?php echo $cat->num_rows; ?></h3>
										<a href="all-teachers.php">View more</a>
									</div>
								</li>
								<li>
									<div class="dash-book dash-b-4">
										<?php $cat = $connection->query("SELECT * FROM users where type='student'"); ?>
										<h5>Total Students</h5>
										<h3><?php echo $cat->num_rows; ?></h3>
										<a href="all-students.php">View more</a>
									</div>
								</li>	
								<li>
									<div class="dash-book dash-b-4">
										<?php $ques = $connection->query("SELECT * FROM question_answer "); ?>
										<h5>Total Asked Question</h5>
										<h3><?php echo $ques->num_rows; ?></h3>
										<a href="all-asked-ques.php">View more</a>
									</div>
								</li>	 -->
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
	</body>
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>